# Enum Class Dialog.ModalityType

java.lang.Object
java.lang.Enum<Dialog.ModalityType>
java.awt.Dialog.ModalityType

All Implemented Interfaces:
  `Serializable, Comparable<Dialog.ModalityType>, Constable`

Enclosing class:
  `Dialog`

public static enum Dialog.ModalityType extends Enum<Dialog.ModalityType>
Modal dialogs block all input to some top-level windows. Whether a particular window is blocked depends on dialog's type of modality; this is called the "scope of blocking". The `ModalityType` enum specifies modal types and their associated scopes.

Since:
  1.6
See Also:
  - `Dialog.getModalityType()`
  - `Dialog.setModalityType(Dialog.ModalityType)`
  - `Toolkit.isModalityTypeSupported(Dialog.ModalityType)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_MODAL`
  An `APPLICATION_MODAL` dialog blocks all top-level windows from the same Java application except those from its own child hierarchy.
  `DOCUMENT_MODAL`
  A `DOCUMENT_MODAL` dialog blocks input to all top-level windows from the same document except those from its own child hierarchy.
  `MODELESS`
  `MODELESS` dialog doesn't block any top-level windows.
  `TOOLKIT_MODAL`
  A `TOOLKIT_MODAL` dialog blocks all top-level windows run from the same toolkit except those from its own child hierarchy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Dialog.ModalityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Dialog.ModalityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MODELESS

    public static final Dialog.ModalityType MODELESS
    `MODELESS` dialog doesn't block any top-level windows.

  - ### DOCUMENT_MODAL

    public static final Dialog.ModalityType DOCUMENT_MODAL
    A `DOCUMENT_MODAL` dialog blocks input to all top-level windows from the same document except those from its own child hierarchy. A document is a top-level window without an owner. It may contain child windows that, together with the top-level window are treated as a single solid document. Since every top-level window must belong to some document, its root can be found as the top-nearest window without an owner.

  - ### APPLICATION_MODAL

    public static final Dialog.ModalityType APPLICATION_MODAL
    An `APPLICATION_MODAL` dialog blocks all top-level windows from the same Java application except those from its own child hierarchy. If there are several applets launched in a browser, they can be treated either as separate applications or a single one. This behavior is implementation-dependent.

  - ### TOOLKIT_MODAL

    public static final Dialog.ModalityType TOOLKIT_MODAL
    A `TOOLKIT_MODAL` dialog blocks all top-level windows run from the same toolkit except those from its own child hierarchy. If there are several applets launched in a browser, all of them run with the same toolkit; thus, a toolkit-modal dialog displayed by an applet may affect other applets and all windows of the browser instance which embeds the Java runtime environment for this toolkit.

- ## Method Details

  - ### values

    public static Dialog.ModalityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Dialog.ModalityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null